Skip to content
View as Markdown

GET Get Contact Tracking Events​

GET
/subscribers/{id}/tracking-events

Retrieve a paginated list of tracking events for a contact. Requires the event_tracking experimental feature to be enabled.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The contact ID.

Type
integer
Required

Query Parameters

per_page

Number of events per page.

Type
integer
Default
15
page

Page number.

Type
integer
Default
1

Responses​

Paginated list of tracking events.

application/json
JSON
{
"events": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"next_page_url": "string",
"prev_page_url": "string",
"from": 0,
"to": 0,
"data": [
{
"id": 0,
"subscriber_id": 0,
"event_key": "string",
"title": "string",
"value": "string",
"counter": 0,
"provider": "string",
"created_at": "string",
"updated_at": "string"
}
]
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI